net.sourceforge.pmd.lang.java

## Class Java17Handler

- java.lang.Object
- - net.sourceforge.pmd.lang.AbstractLanguageVersionHandler
  - - net.sourceforge.pmd.lang.java.AbstractJavaHandler
    - - net.sourceforge.pmd.lang.java.Java17Handler

All Implemented Interfaces:
  LanguageVersionHandler

    public class Java17Handler
    extends AbstractJavaHandler

### Constructor Summary

Constructors
Constructor and Description
`Java17Handler()`

### Method Summary

Methods
`Parser` `getParser(ParserOptions parserOptions)` Get the Parser.

### Methods inherited from class net.sourceforge.pmd.lang.java.AbstractJavaHandler

`getDataFlowFacade, getDataFlowHandler, getDumpFacade, getRuleViolationFactory, getSymbolFacade, getTypeResolutionFacade, getXPathHandler`

### Methods inherited from class net.sourceforge.pmd.lang.AbstractLanguageVersionHandler

`getDefaultParserOptions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Java17Handler

    public Java17Handler()

### Method Detail

#### getParser

    public Parser getParser(ParserOptions parserOptions)

Description copied from interface: `LanguageVersionHandler`
Get the Parser.

Returns:
  Parser